.modal-widget-preview-image * {
        box-sizing: border-box;
}
.modal-widget-preview-image header, .modal-widget-preview-image section, .modal-widget-preview-image footer {
    all: initial;
    margin: 0;
    padding: 0;
    font-family: inherit;        
}
.modal-widget-preview-image h1, .modal-widget-preview-image h2, .modal-widget-preview-image h3, .modal-widget-preview-image h4 {
    margin: 0;
    padding: 0;
}
.modal-widget-preview-image h2 {
    font-size: 20px;
    font-weight: 500;
}
.modal-widget-preview-image {
    border-radius: 4px;
    border: none;
    box-shadow: 6px 6px 12px #3333;
    padding: 0;
    background: transparent;
    overflow: hidden;
    --backdrop-background: #333A;
}



.modal-widget-preview-image::backdrop {
    background-color: var(--backdrop-background, #333A);
    backdrop-filter: blur(14px);
}
.modal-widget-preview-image:open {
    height: 100svh;
    padding: 0;
    margin: 0;
    width: 100%;
    max-width: 100vw;
    max-height: 100vh;
}
.modal-widget-preview-image > section {
    margin: auto;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    gap: 4px;
    padding: 4px 8px;
    height: 100svh;
    width: 100svw;
}

.modal-widget-preview-image > section > div {
    width: max-content;
    height: max-content;
    max-width: 90svw;
    max-height: 90svh;
    overflow: hidden;
    position: relative;
    padding: 10px;
    border-radius: 5px;
    background: var(--bg-primary);
}

.modal-widget-preview-image > section > div > img {
    width: auto;
    height: 100%;
    object-fit: contain;
    border-radius: inherit;
    user-select: none;
}

.modal-widget-preview-image > section > div >  button.close-modal {
    position: absolute;
    top: 0px;
    right: 0px;
    font-size: 32px;
    font-weight: bold;
    line-height: 32px;
    background: var(--bg-primary);
    border-radius: inherit;
    color: #aaa;
    border: none;
    width: 32px;
    height: 32px;
    transition: all 0.2s ease-in-out;
}
.modal-widget-preview-image > section > div >  button.close-modal:hover {
    color: #0088cc;
}
